[torqueusers] installing torque-2.3.5 on mac snowleopard

Yasaman Ghadarghadr yasaman_ghadargh at wsu.edu
Mon Jun 28 16:52:08 MDT 2010


Hi;

I am trying to install torque-2.3.5 on my new imac, running snowleopard, osx 10.6.4, using gcc. The results for gcc -v are:

gcc -v
Using built-in specs.
COLLECT_GCC=gcc
COLLECT_LTO_WRAPPER=/usr/local/libexec/gcc/x86_64-apple-darwin10/4.5.0/lto-wrapper
Target: x86_64-apple-darwin10
Configured with: ../gcc-4.5-20100107/configure --enable-languages=fortran --host=x86_64-apple-darwin10 --build=x86_64-apple-darwin10 : (reconfigured) ../gcc-4.5-20100107/configure --enable-languages=fortran,c++ --host=x86_64-apple-darwin10 --build=x86_64-apple-darwin10
Thread model: posix
gcc version 4.5.0 20100107 (experimental) (GCC) 

i have used the following configure specification for torque-2.3.5:

./configure --prefix=/usr --with-default-server=server-name --with-server-home=/var/spool/pbs --with-rcp=scp

the configure is successful, however, when i run make i get the following:

g -O2 -W -Wall -Wno-unused-parameter -Wno-long-long -pedantic -Werror -MT pbsD_connect.lo -MD -MP -MF .deps/pbsD_connect.Tpo -c ../Libifl/pbsD_connect.c  -fno-common -DPIC -o .libs/pbsD_connect.o
cc1: warnings being treated as errors
../Libifl/pbsD_connect.c: In function 'send_unix_creds':
../Libifl/pbsD_connect.c:557:12: error: ISO C90 forbids array 'buf' whose size can't be evaluated
make[3]: *** [pbsD_connect.lo] Error 1
make[2]: *** [all-recursive] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all-recursive] Error 1


From looking around on google, i have seen this error as part of a bug in gcc...Is there a way around this? Any recommendations?

Any help would be greatly appreciated;

Yasi


More information about the torqueusers mailing list